/* --- contact Section --- */
.contact-section {
    text-align: center;
}

.contact-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--space-xl);
    width: 80%;
    margin: 0% auto;
}



.contact-card {
    background-color: var(--clr-overlay);
    /* لون البطاقة الرمادي الفحمي */
    padding: var(--space-lg) var(--space-md);
    border-radius: 20px;
    border: 1px solid var(--clr-text);
    /* إطار شفاف جداً */
    transition: var(--transition);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact-card:hover {
    transform: translateY(-5px);
}

.contact-icon {
    width: 65px;
    height: 65px;
    background-color: var(--clr-light);
    color: var(--clr-primary);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.address-container {
    border-top: 1px solid var(--clr-text);
    transition: transform 0.4s ease-in;
    width: 80%;
    margin: 0 auto;
}

.address-container:hover {
    transform: scale(1.1);
}

.address-title {
    text-align: center;
    align-content: center;
    width: fit-content;
    margin: 0 auto;
}

.address-title h2 {
    color: var(--clr-light);

}

.address-title p {
    color: var(--clr-primary);
}


/* التجاوب للهواتف */
@media (max-width: 992px) {
    .contact-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 576px) {
    .contact-grid {
        grid-template-columns: 1fr;
    }

    .contact-card {
        padding: var(--space-lg);
    }
}